<?php
/** ensure this file is being included by a parent file */

if ( ! ( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) { die( 'Direct Access to this location is not allowed.' ); }

class getJdonationTab  extends cbTabHandler {
	/**
	* Constructor
	*/
	function getJdonationTab() {
		$this->cbTabHandler();
	}
	/**
	 * Display donation history of a user
	 *
	 * @param object $tab
	 * @param object $user
	 * @param int $ui
	 */
	function getDisplayTab($tab,$user,$ui) {
		global $_CB_database, $my;
		$currentUserId = $my->id;
		$userId = $user->id;		
		//Get list of donation
		$sql = 'SELECT * FROM #__jd_donors WHERE user_id='.$userId.' AND published=1';
		$_CB_database->setQuery($sql);		
		$rowDonors = $_CB_database->loadObjectList();
		//Get currency symbol
		$sql = 'SELECT config_value FROM #__jd_configs WHERE config_key="currency_symbol"';
		$_CB_database->setQuery($sql);
		$currencySymbol = $_CB_database->loadResult();	
		ob_start();
		$this->_drawDonationHistory($rowDonors, $userId, $currentUserId, $currencySymbol);
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}

	/**
	 * Draw the output for donation history
	 *
	 * @param array $rows
	 */
	function _drawDonationHistory($rows, $userId, $currentUserId, $symbol) {
		if (count($rows) == 0) {
			if ($userId != $currentUserId) {
				$notice = JText::_("This user hasn't made any donation yet");		
			} else {
				$notice = JText::_("You haven't made any donation");
			}
			echo '<div classs="info">'.$notice.'</div>';
		} else {
		?>
			<table width="100%" cellspacing="3" cellpadding="3" class="jd_donation_history">
				<tr>
					<td class="sectiontableheader">
						<?php echo JText::_('No'); ?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Donation Amount').' ('.$symbol.')';?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Donation Date') ?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Payment method') ?>
					</td>
					<td class="sectiontableheader">
						<?php echo JText::_('Transaction ID') ?>
					</td>
				</tr>
				<?php
					$tabs = array('sectiontableentry1', 'sectiontableentry2');
					$k = 0;
					for($i=0, $n = count($rows); $i < $n; $i++) {
						$row = $rows[$i];
						$tab = $tabs[$k];
					?>
					<tr class="<?php echo $tab; ?>">
						<td>
							<?php echo ($i + 1); ?>
						</td>
						<td>
							<?php echo  number_format($row->amount, 2); ?>
						</td>
						<td>
							<?php echo JHTML::_('date', $row->created_date, '%m-%d-%Y'); ?>
						</td>
						<td>
							<?php
								if ($row->payment_method == 'os_paypal')
									echo JText::_('Paypal');
								else 
									echo JText::_('Moneybooker');	
							?>
						</td>
						<td>
							<?php echo $row->transaction_id; ?>
						</td>
					</tr>
					<?php	
						$k =  1 - $k;	
					}
				?>
			</table>
		<?php	
		}
	}
}
?>
